package com.jsh.erp.datasource.tesco.request;

import java.math.BigDecimal;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description TODO
 * @Author MS.BLUE
 * @Date 2025-04-14
 */
@Data
public class ErpXsddReqVO {

    /**
     * 订单编号
     */
    private String orderSn;

    /**
     * 订单总额
     */
    private BigDecimal totalPrice ;

    /**
     * 客户信息
     */
    private Customer customer;

    /**
     * 订单商品列表
     */
    private List<OrderItem> items;

    @Data
    public static class Customer {
        /**
         * 客户名称
         */
        private String name;

        /**
         * 客户账号
         */
        private String account;

        /**
         * 收货人姓名
         */
        private String receiverName;

        /**
         * 收货人电话
         */
        private String receiverPhone;

        /**
         * 收货人地址
         */
        private String receiverAddress;
    }

    @Data
    public static class OrderItem {
        /**
         * ERP SKU编号
         */
        private String erpSku;

        /**
         * 商品单价
         */
        private BigDecimal unitPrice;

        /**
         * 商品下单数量
         */
        private Integer quantity;

        /**
         * 商品实付价格
         */
        private BigDecimal price;
    }
}